esp_toml_version = 1.0

# This should be a publicly accessible URL of the file server where your firmware binaries are available for download
firmware_images_url = "<URL to your firmware images directory>"

# Apps that you support and for which the binaries are available to publish. You can have multiple apps as a comma separated list
# The launch pad UI will automatically show these Apps in the available apps dropdown
# There should be a config section per listed App
supported_apps = ["YOUR_FIRMWARE_APP_NAME"]


[YOUR_FIRMWARE_APP_NAME]
# ESP32 Chipsets for which you have a supported Firmware App. Define a property for each supported chipset in the given format.
chipsets = ["ESP32", "ESP32-S2", "ESP32-C3"]
# Configure the name of the binary file
image.esp32 = "SINGLE_BIN_FOR_ESP32.bin"
image.esp32-s2 = "SINGLE_BIN_FOR_ESP32-S2.bin"
image.esp32-c3 = "SINGLE_BIN_FOR_ESP32-C3.bin"
# Optional: Phone APP URLs if any for Playstores
android_app_url = ""
ios_app_url = ""
# Optional: URL of the Markdown file for additional information about the app
readme.text = "<URL to your Markdown file>"
# Optional: Supported console baudrate for app firmware (default value is 115200)
console_baudrate = <SUPPORTED_CONSOLE_BAUDRATE>